diff --git a/kioslaves/imap4/mailaddress.cc b/kioslaves/imap4/mailaddress.cc
index 0775d0f36..0ddd2ff04 100644
--- a/kioslaves/imap4/mailaddress.cc
+++ b/kioslaves/imap4/mailaddress.cc
@@ -105,7 +105,7 @@ mailAddress::parseAddress (char *aCStr)
         len = advance;
         user = user.mid (1, len - 2);  // strip <>
         len -= 2;
-        pt = user.tqfind('@');
+        pt = user.find('@');
         host = user.right (len - pt - 1); // split it into host
         user.truncate(pt); // and user
         break;
@@ -161,7 +161,7 @@ mailAddress::parseAddress (char *aCStr)
     }
     else if (user.isEmpty ())
     {
-      pt = rawFullName.tqfind ('@');
+      pt = rawFullName.find ('@');
       if (pt >= 0)
       {
         user = rawFullName;
diff --git a/kioslaves/imap4/mailheader.cc b/kioslaves/imap4/mailheader.cc
index 76e03ace9..8ae36f4c3 100644
--- a/kioslaves/imap4/mailheader.cc
+++ b/kioslaves/imap4/mailheader.cc
@@ -76,8 +76,8 @@ mailHeader::addHdrLine (mimeHdrLine * inLine)
 	goto out;
   }
   if (!qstricmp (label.data (), "Message-ID")) {
-      int start = value.tqfindRev ('<');
-      int end = value.tqfindRev ('>');
+      int start = value.findRev ('<');
+      int end = value.findRev ('>');
       if (start < end)
           messageID = value.mid (start, end - start + 1);
       else {
@@ -87,8 +87,8 @@ mailHeader::addHdrLine (mimeHdrLine * inLine)
       goto out;
   }
   if (!qstricmp (label.data (), "In-Reply-To")) {
-      int start = value.tqfindRev ('<');
-      int end = value.tqfindRev ('>');
+      int start = value.findRev ('<');
+      int end = value.findRev ('>');
       if (start < end)
         inReplyTo = value.mid (start, end - start + 1);
       goto out;
diff --git a/kioslaves/imap4/mimehdrline.cc b/kioslaves/imap4/mimehdrline.cc
index 4158e59d5..9646ed26f 100644
--- a/kioslaves/imap4/mimehdrline.cc
+++ b/kioslaves/imap4/mimehdrline.cc
@@ -489,18 +489,18 @@ mimeHdrLine::truncateLine(TQCString aLine, unsigned int truncate)
 
   // see if we have a line of the form "key: value" (like "Subject: bla")
   // then we do not want to truncate between key and value
-  int validStart = aLine.tqfind(": ");
+  int validStart = aLine.find(": ");
   if (validStart > -1) {
     validStart += 2;
   }
   while (len > truncate) {
-    cutHere = aLine.tqfindRev(' ', truncate);
+    cutHere = aLine.findRev(' ', truncate);
     if (cutHere < 1 || cutHere < validStart) {
-      cutHere = aLine.tqfindRev('\t', truncate);
+      cutHere = aLine.findRev('\t', truncate);
       if (cutHere < 1) {
-        cutHere = aLine.tqfind(' ', 1);
+        cutHere = aLine.find(' ', 1);
         if (cutHere < 1) {
-          cutHere = aLine.tqfind('\t', 1);
+          cutHere = aLine.find('\t', 1);
           if (cutHere < 1) {
             // simply truncate
             return aLine.left(truncate);
diff --git a/kioslaves/imap4/mimeheader.cc b/kioslaves/imap4/mimeheader.cc
index d32f7eaca..048eba7a5 100644
--- a/kioslaves/imap4/mimeheader.cc
+++ b/kioslaves/imap4/mimeheader.cc
@@ -168,7 +168,7 @@ mimeHeader::addParameter (const TQCString& aParameter, TQDict < TQString > *aLis
 
   TQString *aValue;
   TQCString aLabel;
-  int pos = aParameter.tqfind ('=');
+  int pos = aParameter.find ('=');
 //  cout << aParameter.left(pos).data();
   aValue = new TQString ();
   aValue->setLatin1 (aParameter.right (aParameter.length () - pos - 1));
@@ -268,11 +268,11 @@ mimeHeader::getParameter (const TQCString& aStr, TQDict < TQString > *aDict)
   if (aDict)
   {
     //see if it is a normal parameter
-    found = aDict->tqfind (aStr);
+    found = aDict->find (aStr);
     if (!found)
     {
       //might be a continuated or encoded parameter
-      found = aDict->tqfind (aStr + "*");
+      found = aDict->find (aStr + "*");
       if (!found)
       {
         //continuated parameter
@@ -284,10 +284,10 @@ mimeHeader::getParameter (const TQCString& aStr, TQDict < TQString > *aDict)
           TQCString search;
           search.setNum (part);
           search = aStr + "*" + search;
-          found = aDict->tqfind (search);
+          found = aDict->find (search);
           if (!found)
           {
-            found = aDict->tqfind (search + "*");
+            found = aDict->find (search + "*");
             if (found)
               encoded += rfcDecoder::encodeRFC2231String (*found);
           }
@@ -298,7 +298,7 @@ mimeHeader::getParameter (const TQCString& aStr, TQDict < TQString > *aDict)
           part++;
         }
         while (found);
-        if (encoded.tqfind ('\'') >= 0)
+        if (encoded.find ('\'') >= 0)
         {
           retVal = rfcDecoder::decodeRFC2231String (encoded.local8Bit ());
         }
@@ -335,7 +335,7 @@ mimeHeader::setParameter (const TQCString& aLabel, const TQString& aValue,
   {
 
     //see if it needs to get encoded
-    if (encoded && aLabel.tqfind ('*') == -1)
+    if (encoded && aLabel.find ('*') == -1)
     {
       val = rfcDecoder::encodeRFC2231String (aValue);
     }
@@ -412,7 +412,7 @@ mimeHeader::outputParameter (TQDict < TQString > *aDict)
     while (it.current ())
     {
       retVal += (";\n\t" + it.currentKey () + "=").latin1 ();
-      if (it.current ()->tqfind (' ') > 0 || it.current ()->tqfind (';') > 0)
+      if (it.current ()->find (' ') > 0 || it.current ()->find (';') > 0)
       {
         retVal += '"' + it.current ()->utf8 () + '"';
       }
@@ -527,7 +527,7 @@ mimeHeader::parseBody (mimeIO & useIO, TQCString & messageBody,
       retVal = 1;               //continue with next part
       break;
     }
-    else if (mbox && inputStr.tqfind ("From ") == 0)
+    else if (mbox && inputStr.find ("From ") == 0)
     {
       retVal = 0;               // end of mbox
       break;
@@ -556,7 +556,7 @@ mimeHeader::parseHeader (mimeIO & useIO)
   while (useIO.inputLine (inputStr))
   {
     int appended;
-    if (inputStr.tqfind ("From ") != 0 || !first)
+    if (inputStr.find ("From ") != 0 || !first)
     {
       first = false;
       appended = my_line.appendStr (inputStr);
@@ -584,7 +584,7 @@ mimeHeader *
 mimeHeader::bodyPart (const TQString & _str)
 {
   // see if it is nested a little deeper
-  int pt = _str.tqfind('.');
+  int pt = _str.find('.');
   if (pt != -1)
   {
     TQString tempStr = _str;
@@ -658,9 +658,9 @@ mimeHeader::bodyDecodedBinary ()
 {
   TQByteArray retVal;
 
-  if (contentEncoding.tqfind ("quoted-printable", 0, false) == 0)
+  if (contentEncoding.find ("quoted-printable", 0, false) == 0)
     retVal = KCodecs::quotedPrintableDecode(postMultipartBody);
-  else if (contentEncoding.tqfind ("base64", 0, false) == 0)
+  else if (contentEncoding.find ("base64", 0, false) == 0)
     KCodecs::base64Decode(postMultipartBody, retVal);
   else retVal = postMultipartBody;
 
@@ -680,9 +680,9 @@ mimeHeader::setBodyEncoded (const TQByteArray & _arr)
   TQByteArray setVal;
 
   kdDebug(7116) << "mimeHeader::setBodyEncoded - in size " << _arr.size () << endl;
-  if (contentEncoding.tqfind ("quoted-printable", 0, false) == 0)
+  if (contentEncoding.find ("quoted-printable", 0, false) == 0)
     setVal = KCodecs::quotedPrintableEncode(_arr);
-  else if (contentEncoding.tqfind ("base64", 0, false) == 0)
+  else if (contentEncoding.find ("base64", 0, false) == 0)
     KCodecs::base64Encode(_arr, setVal);
   else
     setVal.duplicate (_arr);
diff --git a/kioslaves/imap4/mimeheader.h b/kioslaves/imap4/mimeheader.h
index 14d86e9d0..bc2fd2bcd 100644
--- a/kioslaves/imap4/mimeheader.h
+++ b/kioslaves/imap4/mimeheader.h
@@ -227,7 +227,7 @@ public:
   }
   TQString typeStr ()
   {
-    return TQString (contentType.left (contentType.tqfind ('/')));
+    return TQString (contentType.left (contentType.find ('/')));
   }
   void setTypeStr (const TQString & _str)
   {
@@ -236,7 +236,7 @@ public:
   TQString subtypeStr ()
   {
     return TQString (contentType.
-                    right (contentType.length () - contentType.tqfind ('/') -
+                    right (contentType.length () - contentType.find ('/') -
                            1));
   }
   void setSubtypeStr (const TQString & _str)
diff --git a/kioslaves/imap4/mimeio.cc b/kioslaves/imap4/mimeio.cc
index 9325df130..757c11a47 100644
--- a/kioslaves/imap4/mimeio.cc
+++ b/kioslaves/imap4/mimeio.cc
@@ -68,7 +68,7 @@ mimeIO::outputMimeLine (const TQCString & inLine)
   TQCString aLine = inLine;
   int len = inLine.length();
 
-  int theLF = aLine.tqfindRev ('\n');
+  int theLF = aLine.findRev ('\n');
   if (theLF == len - 1 && theLF != -1)
   {
     //we have a trailing LF, now check for CR
@@ -83,7 +83,7 @@ mimeIO::outputMimeLine (const TQCString & inLine)
   {
     int start, end, offset;
     start = 0;
-    end = aLine.tqfind ('\n', start);
+    end = aLine.find ('\n', start);
     while (end >= 0)
     {
       offset = 1;
@@ -94,7 +94,7 @@ mimeIO::outputMimeLine (const TQCString & inLine)
       }
       outputLine (aLine.mid (start, end - start) + theCRLF, end - start + crlfLen);
       start = end + offset;
-      end = aLine.tqfind ('\n', start);
+      end = aLine.find ('\n', start);
     }
     outputLine (aLine.mid (start, len - start) + theCRLF, len - start + crlfLen);
   }
@@ -178,7 +178,7 @@ mimeIOTQString::inputLine (TQCString & _str)
   if (theString.isEmpty ())
     return 0;
 
-  int i = theString.tqfind ('\n');
+  int i = theString.find ('\n');
 
   if (i == -1)
     return 0;
diff --git a/kioslaves/imap4/rfcdecoder.cc b/kioslaves/imap4/rfcdecoder.cc
index 426911d0e..4eeb207d5 100644
--- a/kioslaves/imap4/rfcdecoder.cc
+++ b/kioslaves/imap4/rfcdecoder.cc
@@ -154,7 +154,7 @@ TQString rfcDecoder::fromIMAP (const TQString & inSrc)
   return TQString::fromUtf8 (dst.data ());
 }
 
-/* tqreplace " with \" and \ with \\ " and \ characters */
+/* replace " with \" and \ with \\ " and \ characters */
 TQString rfcDecoder::quoteIMAP(const TQString &src)
 {
   uint len = src.length();
@@ -311,7 +311,7 @@ rfcDecoder::codecForName (const TQString & _str)
   if (_str.isEmpty ())
     return NULL;
   return TQTextCodec::codecForName (_str.lower ().
-                                   tqreplace ("windows", "cp").latin1 ());
+                                   replace ("windows", "cp").latin1 ());
 }
 
 //-----------------------------------------------------------------------------
@@ -338,7 +338,7 @@ rfcDecoder::decodeRFC2047String (const TQString & _str, TQString & charset,
                                  TQString & language)
 {
   //do we have a rfc string
-  if (_str.tqfind("=?") < 0)
+  if (_str.find("=?") < 0)
     return _str;
 
   TQCString aStr = _str.ascii ();  // TQString.length() means Unicode chars
@@ -371,7 +371,7 @@ rfcDecoder::decodeRFC2047String (const TQString & _str, TQString & charset,
     else
     {
       charset = TQCString (beg, i - 1);  // -2 + 1 for the zero
-      int pt = charset.tqfindRev('*');
+      int pt = charset.findRev('*');
       if (pt != -1)
       {
         // save language for later usage
@@ -628,13 +628,13 @@ rfcDecoder::encodeRFC2231String (const TQString & _str)
 const TQString
 rfcDecoder::decodeRFC2231String (const TQString & _str)
 {
-  int p = _str.tqfind ('\'');
+  int p = _str.find ('\'');
 
   //see if it is an rfc string
   if (p < 0)
     return _str;
 
-  int l = _str.tqfindRev ('\'');
+  int l = _str.findRev ('\'');
 
   //second is language
   if (p >= l)
diff --git a/kioslaves/imap4/rfcdecoder.h b/kioslaves/imap4/rfcdecoder.h
index 50ab948e3..2095b2ed2 100644
--- a/kioslaves/imap4/rfcdecoder.h
+++ b/kioslaves/imap4/rfcdecoder.h
@@ -44,7 +44,7 @@ public:
 /** Convert Unicode path to modified UTF-7 IMAP mailbox
  */
   static TQString toIMAP (const TQString & inSrc);
-/** tqreplace " with \" and \ with \\ " and \ characters */
+/** replace " with \" and \ with \\ " and \ characters */
   static TQString quoteIMAP (const TQString & src);
 
   /** remove \ from a string 
diff --git a/kioslaves/mbox/readmbox.cc b/kioslaves/mbox/readmbox.cc
index 32f52d5b3..cc8503a5d 100644
--- a/kioslaves/mbox/readmbox.cc
+++ b/kioslaves/mbox/readmbox.cc
@@ -104,7 +104,7 @@ bool ReadMBox::nextLine()
 	} else if( m_only_new )
 	{
 		if( m_header && m_current_line->left( 7 ) == "tqStatus:" &&
-		    ! m_current_line->tqcontains( "U" ) && ! m_current_line->tqcontains( "N" ) )
+		    ! m_current_line->contains( "U" ) && ! m_current_line->contains( "N" ) )
 		{
 			m_status = false;
 		}
diff --git a/kioslaves/mbox/stat.cc b/kioslaves/mbox/stat.cc
index 093701e05..6d5bf75a6 100644
--- a/kioslaves/mbox/stat.cc
+++ b/kioslaves/mbox/stat.cc
@@ -86,7 +86,7 @@ KIO::UDSEntry Stat::statMessage( const UrlInfo& info )
 	Stat::addAtom( entry, KIO::UDS_MIME_TYPE, "message/rfc822" );
 	
 	Stat::addAtom( entry, KIO::UDS_URL, url );
-	url = url.right( url.length() - url.tqfindRev( "/" ) - 1 );
+	url = url.right( url.length() - url.findRev( "/" ) - 1 );
 	Stat::addAtom( entry, KIO::UDS_NAME, url );
 
 	return entry;
diff --git a/kioslaves/mbox/urlinfo.cc b/kioslaves/mbox/urlinfo.cc
index 2a35ce2ea..d59c77ac8 100644
--- a/kioslaves/mbox/urlinfo.cc
+++ b/kioslaves/mbox/urlinfo.cc
@@ -111,7 +111,7 @@ bool UrlInfo::isMessage( const KURL& url )
 {
 	TQString path = url.path();
 	TQFileInfo info;
-	int cutindex = path.tqfindRev( '/' );
+	int cutindex = path.findRev( '/' );
 	
 	//Does it contain at least one /?
 	if( cutindex < 0 )
diff --git a/kioslaves/opengroupware/webdavhandler.cpp b/kioslaves/opengroupware/webdavhandler.cpp
index 61f2d6b53..1177624c5 100644
--- a/kioslaves/opengroupware/webdavhandler.cpp
+++ b/kioslaves/opengroupware/webdavhandler.cpp
@@ -70,7 +70,7 @@ TQDomDocument WebdavHandler::createAllPropsRequest()
 {
   TQDomDocument doc;
 
-  TQDomElement root = WebdavHandler::addDavElement(  doc, doc, "proptqfind" );
+  TQDomElement root = WebdavHandler::addDavElement(  doc, doc, "propfind" );
   TQDomElement prop = WebdavHandler::addDavElement(  doc, root, "prop" );
   WebdavHandler::addDavElement(  doc, prop, "getcontentlength");
   WebdavHandler::addDavElement(  doc, prop, "getlastmodified" );
diff --git a/kioslaves/sieve/sieve.cpp b/kioslaves/sieve/sieve.cpp
index 781e37ca5..8e6a5bcd7 100644
--- a/kioslaves/sieve/sieve.cpp
+++ b/kioslaves/sieve/sieve.cpp
@@ -245,14 +245,14 @@ bool kio_sieveProtocol::parseCapabilities(bool requestCapabilities/* = false*/)
 		ksDebug() << "Looping receive" << endl;
 
 		if (r.getType() == kio_sieveResponse::ACTION) {
-			if ( r.getAction().tqcontains("ok", false) != -1 ) {
+			if ( r.getAction().contains("ok", false) != -1 ) {
 				ksDebug() << "Sieve server ready & awaiting authentication." << endl;
 				break;
 			} else
 				ksDebug() << "Unknown action " << r.getAction() << "." << endl;
 
 		} else if (r.getKey() == "IMPLEMENTATION") {
-			if (r.getVal().tqcontains("sieve", false) != -1) {
+			if (r.getVal().contains("sieve", false) != -1) {
 				ksDebug() << "Connected to Sieve server: " << r.getVal() << endl;
 				ret = true;
 				setMetaData("implementation", r.getVal());
@@ -876,7 +876,7 @@ void kio_sieveProtocol::stat(const KURL& url)
 
 		while(receiveData()) {
 			if (r.getType() == kio_sieveResponse::ACTION) {
-				if (r.getAction().tqcontains("OK", false) == 1)
+				if (r.getAction().contains("OK", false) == 1)
 					// Script list completed
 					break;
 
@@ -929,7 +929,7 @@ void kio_sieveProtocol::listDir(const KURL& url)
 
 	while(receiveData()) {
 		if (r.getType() == kio_sieveResponse::ACTION) {
-			if (r.getAction().tqcontains("OK", false) == 1)
+			if (r.getAction().contains("OK", false) == 1)
 				// Script list completed.
 				break;
 
@@ -1237,10 +1237,10 @@ bool kio_sieveProtocol::receiveData(bool waitForData, TQCString *reparse)
 		  {
 			// expecting {quantity}
 			start = 0;
-			end = interpret.tqfind("+}", start + 1);
+			end = interpret.find("+}", start + 1);
 			// some older versions of Cyrus enclose the literal size just in { } instead of { +}
 			if ( end == -1 )
-				end = interpret.tqfind('}', start + 1);
+				end = interpret.find('}', start + 1);
 
 			bool ok = false;
 			r.setQuantity(interpret.mid(start + 1, end - start - 1).toUInt( &ok ));
@@ -1263,7 +1263,7 @@ bool kio_sieveProtocol::receiveData(bool waitForData, TQCString *reparse)
 
 	start = 0;
 
-	end = interpret.tqfind(34, start + 1);
+	end = interpret.find(34, start + 1);
 	if (end == -1) {
 		ksDebug() << "Possible insufficient buffer size." << endl;
 		r.setKey(interpret.right(interpret.length() - start));
@@ -1272,7 +1272,7 @@ bool kio_sieveProtocol::receiveData(bool waitForData, TQCString *reparse)
 
 	r.setKey(interpret.mid(start + 1, end - start - 1));
 
-	start = interpret.tqfind(34, end + 1);
+	start = interpret.find(34, end + 1);
 	if (start == -1) {
 		if ((int)interpret.length() > end)
 			// skip " and space
@@ -1281,7 +1281,7 @@ bool kio_sieveProtocol::receiveData(bool waitForData, TQCString *reparse)
 		return true;
 	}
 
-	end = interpret.tqfind(34, start + 1);
+	end = interpret.find(34, start + 1);
 	if (end == -1) {
 		ksDebug() << "Possible insufficient buffer size." << endl;
 		r.setVal(interpret.right(interpret.length() - start));
diff --git a/kitchensync/src/addresseediffalgo.cpp b/kitchensync/src/addresseediffalgo.cpp
index cba16ec84..fc73c3677 100644
--- a/kitchensync/src/addresseediffalgo.cpp
+++ b/kitchensync/src/addresseediffalgo.cpp
@@ -146,12 +146,12 @@ void AddresseeDiffAlgo::diffList( const TQString &id,
                                   const TQValueList<L> &left, const TQValueList<L> &right )
 {
   for ( uint i = 0; i < left.count(); ++i ) {
-    if ( right.tqfind( left[ i ] ) == right.end() )
+    if ( right.find( left[ i ] ) == right.end() )
       additionalLeftField( id, toString( left[ i ] ) );
   }
 
   for ( uint i = 0; i < right.count(); ++i ) {
-    if ( left.tqfind( right[ i ] ) == left.end() )
+    if ( left.find( right[ i ] ) == left.end() )
       additionalRightField( id, toString( right[ i ] ) );
   }
 }
diff --git a/kitchensync/src/calendardiffalgo.cpp b/kitchensync/src/calendardiffalgo.cpp
index fe376428e..3c9ef292d 100644
--- a/kitchensync/src/calendardiffalgo.cpp
+++ b/kitchensync/src/calendardiffalgo.cpp
@@ -206,12 +206,12 @@ void CalendarDiffAlgo::diffList( const TQString &id,
                                  const TQValueList<L> &left, const TQValueList<L> &right )
 {
   for ( uint i = 0; i < left.count(); ++i ) {
-    if ( right.tqfind( left[ i ] ) == right.end() )
+    if ( right.find( left[ i ] ) == right.end() )
       additionalLeftField( id, toString( left[ i ] ) );
   }
 
   for ( uint i = 0; i < right.count(); ++i ) {
-    if ( left.tqfind( right[ i ] ) == left.end() )
+    if ( left.find( right[ i ] ) == left.end() )
       additionalRightField( id, toString( right[ i ] ) );
   }
 }
diff --git a/kitchensync/src/configguisyncmlhttp.cpp b/kitchensync/src/configguisyncmlhttp.cpp
index e81e92d46..3e1dac1aa 100644
--- a/kitchensync/src/configguisyncmlhttp.cpp
+++ b/kitchensync/src/configguisyncmlhttp.cpp
@@ -174,7 +174,7 @@ void ConfigGuiSyncmlHttp::load( const TQString &xml )
         mMaxObjSize->setValue( element.text().toInt() );
     } else if ( element.tagName() == "usestringtable" ) {
       mUseStringTable->setChecked( element.text() == "1" );
-    } else if ( element.tagName() == "onlytqreplace" ) {
+    } else if ( element.tagName() == "onlyreplace" ) {
       mOnlyReplace->setChecked( element.text() == "1" );
     } else if ( element.tagName() == "contact_db" ) {
       mContactDb->setCurrentText( element.text() );
@@ -208,12 +208,12 @@ TQString ConfigGuiSyncmlHttp::save() const
     xml += "0";
   xml += "</usestringtable>\n";
 
-  xml += "<onlytqreplace>";
+  xml += "<onlyreplace>";
   if ( mOnlyReplace->isChecked() )
     xml += "1";
   else
     xml += "0";
-  xml += "</onlytqreplace>\n";
+  xml += "</onlyreplace>\n";
 
   xml += "<contact_db>" + mContactDb->currentText() + "</contact_db>\n";
   xml += "<calendar_db>" + mCalendarDb->currentText() + "</calendar_db>\n";
diff --git a/kitchensync/src/configguisyncmlobex.cpp b/kitchensync/src/configguisyncmlobex.cpp
index 024e72ede..1bb4bdaf1 100644
--- a/kitchensync/src/configguisyncmlobex.cpp
+++ b/kitchensync/src/configguisyncmlobex.cpp
@@ -225,7 +225,7 @@ void ConfigGuiSyncmlObex::load( const TQString &xml )
       if ( mMaxObjSize ) mMaxObjSize->setValue( element.text().toInt() );
     } else if ( element.tagName() == "usestringtable" ) {
       mUseStringTable->setChecked( element.text() == "1" );
-    } else if ( element.tagName() == "onlytqreplace" ) {
+    } else if ( element.tagName() == "onlyreplace" ) {
       mOnlyReplace->setChecked( element.text() == "1" );
     } else if ( element.tagName() == "contact_db" ) {
       mContactDb->setCurrentText( element.text() );
@@ -293,12 +293,12 @@ TQString ConfigGuiSyncmlObex::save() const
     xml += "0";
   xml += "</usestringtable>\n";
 
-  xml += "<onlytqreplace>";
+  xml += "<onlyreplace>";
   if ( mOnlyReplace->isChecked() )
     xml += "1";
   else
     xml += "0";
-  xml += "</onlytqreplace>\n";
+  xml += "</onlyreplace>\n";
 
   xml += "<contact_db>" + mContactDb->currentText() + "</contact_db>\n";
   xml += "<calendar_db>" + mCalendarDb->currentText() + "</calendar_db>\n";
diff --git a/kitchensync/src/groupconfigcommon.cpp b/kitchensync/src/groupconfigcommon.cpp
index f2afe3c46..cda75c8cf 100644
--- a/kitchensync/src/groupconfigcommon.cpp
+++ b/kitchensync/src/groupconfigcommon.cpp
@@ -103,7 +103,7 @@ void ObjectTypeSelector::load( const QSync::Group &group )
   TQMap<TQString, TQCheckBox*>::ConstIterator it;
   for( it = mObjectTypeChecks.begin(); it != mObjectTypeChecks.end(); ++it ) {
     TQCheckBox *check = it.data();
-    check->setChecked( objectTypes.tqcontains( it.key() ) || initialLoad );
+    check->setChecked( objectTypes.contains( it.key() ) || initialLoad );
   }
 }
 
diff --git a/kitchensync/src/kwidgetlist.cpp b/kitchensync/src/kwidgetlist.cpp
index a5f5a81e4..89008f06f 100644
--- a/kitchensync/src/kwidgetlist.cpp
+++ b/kitchensync/src/kwidgetlist.cpp
@@ -69,7 +69,7 @@ void KWidgetList::appendItem( KWidgetListItem *item )
   if ( !item )
     return;
 
-  if ( !d->mItems.tqcontains( item ) ) {
+  if ( !d->mItems.contains( item ) ) {
     d->mItems.append( item );
     item->reparent( d->mBox, 0, TQPoint( 0, 0 ), true );
     item->setSelected( false );
@@ -129,7 +129,7 @@ void KWidgetList::setSelected( KWidgetListItem *item )
   if ( !item )
     return;
 
-  if ( d->mItems.tqcontains( item ) == 0 )
+  if ( d->mItems.contains( item ) == 0 )
     return;
 
   if ( d->mSelectedItem )
@@ -169,7 +169,7 @@ KWidgetListItem *KWidgetList::item( int index ) const
 
 int KWidgetList::index( KWidgetListItem *item ) const
 {
-  return d->mItems.tqfindIndex( item );
+  return d->mItems.findIndex( item );
 }
 
 void KWidgetList::clear()
diff --git a/kitchensync/src/syncprocess.cpp b/kitchensync/src/syncprocess.cpp
index 1a70f877d..672c789c3 100644
--- a/kitchensync/src/syncprocess.cpp
+++ b/kitchensync/src/syncprocess.cpp
@@ -90,7 +90,7 @@ void SyncProcess::applyObjectTypeFilter()
   const TQStringList activeObjectTypes = mGroup.config().activeObjectTypes();
 
   for ( uint i = 0; i < objectTypes.count(); ++i ) {
-    if ( activeObjectTypes.tqcontains( objectTypes[ i ] ) ) {
+    if ( activeObjectTypes.contains( objectTypes[ i ] ) ) {
       kdDebug() << "Enabled object type: " <<  objectTypes[ i ] << endl;
       /*
        * This is not required. Also this lead to filtering problems when sync with "file-sync".
diff --git a/kmail/Mainpage.dox b/kmail/Mainpage.dox
index b1355c121..ab2391090 100644
--- a/kmail/Mainpage.dox
+++ b/kmail/Mainpage.dox
@@ -271,7 +271,7 @@ accessed via KMKernel ( the "kmkernel" construct ). Those methods are :
    folder manager. In dimap, both the headers and a copy of the full message
    are cached locally.
 4) KMFolderMgr *searchFolderMgr() - which returns the folder manager
-   for search folders (folders created by using the "tqfind
+   for search folders (folders created by using the "find
    messages" tool). Other email clients call this type of folder
    "virtual folders".
 
diff --git a/kmail/accountdialog.cpp b/kmail/accountdialog.cpp
index 2782bfa93..de168cebb 100644
--- a/kmail/accountdialog.cpp
+++ b/kmail/accountdialog.cpp
@@ -133,7 +133,7 @@ ProcmailRCParser::ProcmailRCParser(TQString fname)
 
       int commentPos = -1;
 
-      if( (commentPos = s.tqfind('#')) > -1 ) {
+      if( (commentPos = s.find('#')) > -1 ) {
         // get rid of trailing comment
         s.truncate(commentPos);
         s = s.stripWhiteSpace();
@@ -143,7 +143,7 @@ ProcmailRCParser::ProcmailRCParser(TQString fname)
         processGlobalLock(s);
       } else if( lockFileLocal.search(s) != -1 ) {
         processLocalLock(s);
-      } else if( int i = s.tqfind('=') ) {
+      } else if( int i = s.find('=') ) {
         processVariableSetting(s,i);
       }
     }
@@ -156,11 +156,11 @@ ProcmailRCParser::ProcmailRCParser(TQString fname)
     default_Location += '/';
     default_Location += getenv("USER");
   }
-  if ( !mSpoolFiles.tqcontains(default_Location) )
+  if ( !mSpoolFiles.contains(default_Location) )
     mSpoolFiles << default_Location;
 
   default_Location = default_Location + ".lock";
-  if ( !mLockFiles.tqcontains(default_Location) )
+  if ( !mLockFiles.contains(default_Location) )
     mLockFiles << default_Location;
 }
 
@@ -172,8 +172,8 @@ ProcmailRCParser::~ProcmailRCParser()
 void
 ProcmailRCParser::processGlobalLock(const TQString &s)
 {
-  TQString val = expandVars(s.mid(s.tqfind('=') + 1).stripWhiteSpace());
-  if ( !mLockFiles.tqcontains(val) )
+  TQString val = expandVars(s.mid(s.find('=') + 1).stripWhiteSpace());
+  if ( !mLockFiles.contains(val) )
     mLockFiles << val;
 }
 
@@ -181,7 +181,7 @@ void
 ProcmailRCParser::processLocalLock(const TQString &s)
 {
   TQString val;
-  int colonPos = s.tqfindRev(':');
+  int colonPos = s.findRev(':');
 
   if (colonPos > 0) { // we don't care about the leading one
     val = s.mid(colonPos + 1).stripWhiteSpace();
@@ -190,7 +190,7 @@ ProcmailRCParser::processLocalLock(const TQString &s)
       // user specified a lockfile, so process it
       //
       val = expandVars(val);
-      if( val[0] != '/' && mVars.tqfind("MAILDIR") )
+      if( val[0] != '/' && mVars.find("MAILDIR") )
         val.insert(0, *(mVars["MAILDIR"]) + '/');
     } // else we'll deduce the lockfile name one we
     // get the spoolfile name
@@ -211,11 +211,11 @@ ProcmailRCParser::processLocalLock(const TQString &s)
     line = expandVars(line);
 
     // prepend default MAILDIR if needed
-    if( line[0] != '/' && mVars.tqfind("MAILDIR") )
+    if( line[0] != '/' && mVars.find("MAILDIR") )
       line.insert(0, *(mVars["MAILDIR"]) + '/');
 
     // now we have the spoolfile name
-    if ( !mSpoolFiles.tqcontains(line) )
+    if ( !mSpoolFiles.contains(line) )
       mSpoolFiles << line;
 
     if( colonPos > 0 && (!val || val.isEmpty()) ) {
@@ -224,13 +224,13 @@ ProcmailRCParser::processLocalLock(const TQString &s)
       val = line;
 
       // append lock extension
-      if( mVars.tqfind("LOCKEXT") )
+      if( mVars.find("LOCKEXT") )
         val += *(mVars["LOCKEXT"]);
       else
         val += ".lock";
     }
 
-    if ( !val.isNull() && !mLockFiles.tqcontains(val) ) {
+    if ( !val.isNull() && !mLockFiles.contains(val) ) {
       mLockFiles << val;
     }
   }
@@ -258,7 +258,7 @@ ProcmailRCParser::expandVars(const TQString &s)
   TQAsciiDictIterator<TQString> it( mVars ); // iterator for dict
 
   while ( it.current() ) {
-    expS.tqreplace(TQString::tqfromLatin1("$") + it.currentKey(), *it.current());
+    expS.replace(TQString::tqfromLatin1("$") + it.currentKey(), *it.current());
     ++it;
   }
 
@@ -806,7 +806,7 @@ void AccountDialog::makePopAccountPage()
   mPop.authDigestMd5 = new TQRadioButton( i18n("&DIGEST-MD5"), mPop.authGroup, "auth digest-md5" );
   mPop.authNTLM = new TQRadioButton( i18n("&NTLM"), mPop.authGroup, "auth ntlm" );
   mPop.authGSSAPI = new TQRadioButton( i18n("&GSSAPI"), mPop.authGroup, "auth gssapi" );
-  if ( KProtocolInfo::capabilities("pop3").tqcontains("SASL") == 0 )
+  if ( KProtocolInfo::capabilities("pop3").contains("SASL") == 0 )
   {
     mPop.authNTLM->hide();
     mPop.authGSSAPI->hide();
@@ -1764,7 +1764,7 @@ void AccountDialog::checkHighest( TQButtonGroup *btnGroup )
 {
   kdDebug(5006) << "checkHighest( " << btnGroup << " )" << endl;
   for ( int i = btnGroup->count() - 1; i >= 0 ; --i ) {
-    TQButton * btn = btnGroup->tqfind( i );
+    TQButton * btn = btnGroup->find( i );
     if ( btn && btn->isEnabled() ) {
       btn->animateClick();
       return;
@@ -1972,7 +1972,7 @@ void AccountDialog::saveSettings()
   // get the new account and register the new destination folder
   // this is the target folder for local or pop accounts and the root folder
   // of the account for (d)imap
-  KMAccount* newAcct = kmkernel->acctMgr()->tqfind(mAccount->id());
+  KMAccount* newAcct = kmkernel->acctMgr()->find(mAccount->id());
   if (newAcct)
   {
     if( accountType == "local" ) {
@@ -2298,7 +2298,7 @@ NamespaceEditDialog::NamespaceEditDialog( TQWidget *tqparent,
 
   mBg = new TQButtonGroup( 0 );
   connect( mBg, TQT_SIGNAL( clicked(int) ), this, TQT_SLOT( slotRemoveEntry(int) ) );
-  mDelimMap = mNamespaceMap->tqfind( mType ).data();
+  mDelimMap = mNamespaceMap->find( mType ).data();
   ImapAccountBase::namespaceDelim::Iterator it;
   for ( it = mDelimMap.begin(); it != mDelimMap.end(); ++it ) {
     NamespaceLineEdit* edit = new NamespaceLineEdit( grid );
@@ -2315,7 +2315,7 @@ NamespaceEditDialog::NamespaceEditDialog( TQWidget *tqparent,
 
 void NamespaceEditDialog::slotRemoveEntry( int id )
 {
-  if ( mLineEditMap.tqcontains( id ) ) {
+  if ( mLineEditMap.contains( id ) ) {
     // delete the lineedit and remove namespace from map
     NamespaceLineEdit* edit = mLineEditMap[id];
     mDelimMap.remove( edit->text() );
@@ -2325,9 +2325,9 @@ void NamespaceEditDialog::slotRemoveEntry( int id )
     mLineEditMap.remove( id );
     delete edit;
   }
-  if ( mBg->tqfind( id ) ) {
+  if ( mBg->find( id ) ) {
     // delete the button
-    delete mBg->tqfind( id );
+    delete mBg->find( id );
   }
   adjustSize();
 }
@@ -2343,7 +2343,7 @@ void NamespaceEditDialog::slotOk()
       mDelimMap.remove( edit->lastText() );
     }
   }
-  mNamespaceMap->tqreplace( mType, mDelimMap );
+  mNamespaceMap->replace( mType, mDelimMap );
   KDialogBase::slotOk();
 }
 
diff --git a/kmail/accountmanager.cpp b/kmail/accountmanager.cpp
index 9340e774d..21a9f8cdc 100644
--- a/kmail/accountmanager.cpp
+++ b/kmail/accountmanager.cpp
@@ -293,7 +293,7 @@ KMAccount* AccountManager::findByName(const TQString &aName) const
 
 
 //-----------------------------------------------------------------------------
-KMAccount* AccountManager::tqfind( const uint id ) const
+KMAccount* AccountManager::find( const uint id ) const
 {
   if (id == 0) return 0;
   for ( AccountList::ConstIterator it( mAcctList.begin() ), end( mAcctList.end() ); it != end; ++it ) {
@@ -397,7 +397,7 @@ void AccountManager::addToTotalNewMailCount( const TQMap<TQString, int> & newInF
   for ( TQMap<TQString, int>::const_iterator it = newInFolder.begin();
         it != newInFolder.end(); ++it ) {
     mTotalNewMailsArrived += it.data();
-    if ( mTotalNewInFolder.tqfind( it.key() ) == mTotalNewInFolder.end() )
+    if ( mTotalNewInFolder.find( it.key() ) == mTotalNewInFolder.end() )
       mTotalNewInFolder[it.key()] = it.data();
     else
       mTotalNewInFolder[it.key()] += it.data();
@@ -417,7 +417,7 @@ uint AccountManager::createId()
   do
   {
     newId = kapp->random();
-  } while ( usedIds.tqfind(newId) != usedIds.end() );
+  } while ( usedIds.find(newId) != usedIds.end() );
 
   return newId;
 }
